synchronize_irq
Prev | Chapter 8. Public Functions Provided | Next

## Name

synchronize_irq — wait for pending IRQ handlers (on other CPUs)

## Synopsis

`void synchronize_irq (` | unsigned int | irq`)`;

## Arguments

`irq`

  interrupt number to wait for

## Description

This function waits for any pending IRQ handlers for this interrupt to complete before returning. If you use this function while holding a resource the IRQ handler may need you will deadlock.

This function may be called - with care - from IRQ context.

Prev | Up | Next
Chapter 8. Public Functions Provided | Home | disable_irq_nosync